# share_apps

Put your app in front of everyone through their peers. Peer-to-peer invitations in a very subtle and simple way.

## Getting Started

This project is a starting point for a Dart
[package](https://flutter.dev/developing-packages/),
a library module containing code that can be shared easily across
multiple Flutter or Dart projects.

For help getting started with Share app, view our 
[online documentation](https://www.shareapps.net/how-it-works), which offers tutorials, 
samples, guidance on SDK integration, and a full API reference.

## Installation
```yaml
dependencies:
  ...
  share_apps: ^0.0.14
```
## Permissions
### Android  
Add the following permissions to your AndroidManifest.xml:  
  
```xml  
<uses-permission android:name="android.permission.READ_CONTACTS" />  
<uses-permission android:name="android.permission.WRITE_CONTACTS" />  
```  
### iOS
Set the `NSContactsUsageDescription` in your `Info.plist` file  
  
```xml  
<key>NSContactsUsageDescription</key>  
<string>This app requires contacts access to function properly.</string>  
```  
## How to use.

import share_apps.dar

```dart
import 'package:share_apps/share_apps.dart';
```

## Example

### STEP: 1
Initialize ShareApps with your secretKey and appId in main.dart file.

```dart
import 'package:flutter/material.dart';
import 'package:share_apps/share_apps.dart';

void main() {
  ShareApps.init(appId: 'XXXXXXXXXX', secreteKey: 'XXXXXXXXXXXX');
  runApp(MyApp());
}
```

### STEP: 2 
### There are two methods for send invitation 
###1.sendInvitation() (This method will use when need to ask details from user)
###2.sendInvitationInBackground() (This method will use when you have user details and pass it in background without user interface.)

## For more details please take look example.
###sendInvitation()

```dart
class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Share App Demo'),
      ),
      body: Center(
        child: RaisedButton(
          child: Text('Invite Friends'),
          onPressed: () {
            ShareApps.sendInvitation(context: context);
          },
        ),
      ),
    );
  }
}
```

###sendInvitationInBackground()

```dart
class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Share App Demo'),
      ),
      body: Center(
        child: RaisedButton(
          child: Text('Invite Friends'),
          onPressed: () {
            ShareApps.sendInvitationInBackground(
                            context: context,
                            firstName: 'ABC',
                            lastName: 'XYZ',
                            countryName: 'United States',
                            email: 'xyz@gmail.com',
                            language: 'ENGLISH',
                            number: '444123456'
                          );
          },
        ),
      ),
    );
  }
}
```
### Country List


